<?PHP
/*
* list.php Sites indexed list
* copyright (c)2005 Marco Islas &lt;markuz@islascruz.org&gt;
*/
/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

class site_list
{
	function site_list(){
	}
	
	function default_action(){
		$sql = "select id from sites where autorized='true'";
		$ids = $GLOBALS["db"]->fetch_row($sql);
		$tpl = new template(CINTILLA_PATH."xhtml/");
		$tpl->load("layout","list.html");
		$tpl->setBlock("list","layout");
		if (!empty($ids)) 
		foreach ($ids as $id){
			$sql  = "select * from sites where id='".$id."'";
			$data = $GLOBALS["db"]->fetch_array($sql);
			$tpl->setBlock("items","layout");
			$tpl->clean("title");
			$tpl->clean("url");
			$tpl->clean("description");
			$tpl->clean("owner");
			$tpl->clean("email");
			$tpl->clean("hits");
			$tpl->set_variable("hits",	$data["hits"]);
			$tpl->set_variable("title",	$data["title"]);
			$tpl->set_variable("url",	$data["url"]);
			$tpl->set_variable("email",	$data["email"]);
			$tpl->set_variable("owner",	$data["owner"]);
			$tpl->set_variable("description",$data["description"]);
			$tpl->set_variable("date",$data["date"]);
			$tpl->expand("expitems","+items");
		}
		$tpl->expand("explist","list");
		return $tpl->export("explist");
	}
	
}
?>